# OpenStack

# Client

`tuskarclient.client.``Client`(version, **kwargs)

`tuskarclient.client.``get_client`(api_version, **kwargs)
  Get an authtenticated client, based on the credentials
    in the keyword args.

  Parameters:

  - api_version – the API version to use (only ‘2’ is valid)
  - kwargs – keyword args containing credentials, either: * os_auth_token: pre-existing token to re-use * tuskar_url: tuskar API endpoint or: * os_username: name of user * os_password: user’s password * os_auth_url: endpoint to authenticate against * os_tenant_{name|id}: name or ID of tenant